Subject: ***SPAM*** 65.879 (5) Chicks will be AMAZED by your legendary PROWESS.

From: "Jaspal Robar" <[email-masked]>
Date: Fri, 1 Feb 2008 21:59:55 +0100

Always wondered how others could have some big d1cks? Here's the answer.